| Kinetis SDK Demo Applications User Guide 1.0.0-beta Freescale Semiconductor, Inc.

- Main Page
- Related Pages
- Demos

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions
i2c_comm_master.c File Reference
`#include "board.h"`
`#include "fsl_i2c_master_driver.h"`
`#include "fsl_device_registers.h"`
`#include "fsl_port_hal.h"`
`#include "fsl_debug_uart.h"`
`#include "fsl_clock_manager.h"`
`#include "fsl_uart_hal.h"`
`#include <string.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include "sw_timer.h"`

## Enumerations
enum | _subaddress_index_e { Subaddress_Index_0, Subaddress_Index_1, Subaddress_Index_2, Subaddress_Index_3, Subaddress_Index_4, Subaddress_Index_5, Subaddress_Index_6, Subaddress_Index_7, Invalid_Subaddress_Index, Max_Subaddress_Index, Subaddress_Index_0, Subaddress_Index_1, Subaddress_Index_2, Subaddress_Index_3, Subaddress_Index_4, Subaddress_Index_5, Subaddress_Index_6, Subaddress_Index_7, Invalid_Subaddress_Index, Max_Subaddress_Index, Subaddress_Index_0, Subaddress_Index_1, Subaddress_Index_2, Subaddress_Index_3, Subaddress_Index_4, Subaddress_Index_5, Subaddress_Index_6, Subaddress_Index_7, Invalid_Subaddress_Index, Max_Subaddress_Index }

## Functions
void | LED_toggle_master (void)
void | LED_turnon_master (void)
void | LED_toggle_slave (void)
void | LED_turnon_slave (void)
void | delay (unsigned int delay_value)
void | main (void)

## Enumeration Type Documentation

enum _subaddress_index_e

Enumerator
Subaddress_Index_0 |
Subaddress_Index_1 |
Subaddress_Index_2 |
Subaddress_Index_3 |
Subaddress_Index_4 |
Subaddress_Index_5 |
Subaddress_Index_6 |
Subaddress_Index_7 |
Invalid_Subaddress_Index |
Max_Subaddress_Index |
Subaddress_Index_0 |
Subaddress_Index_1 |
Subaddress_Index_2 |
Subaddress_Index_3 |
Subaddress_Index_4 |
Subaddress_Index_5 |
Subaddress_Index_6 |
Subaddress_Index_7 |
Invalid_Subaddress_Index |
Max_Subaddress_Index |
Subaddress_Index_0 |
Subaddress_Index_1 |
Subaddress_Index_2 |
Subaddress_Index_3 |
Subaddress_Index_4 |
Subaddress_Index_5 |
Subaddress_Index_6 |
Subaddress_Index_7 |
Invalid_Subaddress_Index |
Max_Subaddress_Index |

## Function Documentation

void delay | ( | unsigned int | delay_value | ) |

void LED_toggle_master | ( | void |  | ) |

void LED_toggle_slave | ( | void |  | ) |

void LED_turnon_master | ( | void |  | ) |

void LED_turnon_slave | ( | void |  | ) |

void main | ( | void |  | ) |